IOSS 2.0

Classes | Namespaces | Functions | Variables
shell_to_hex.C File Reference
`#include <Ioss_CodeTypes.h>`
`#include <Ionit_Initializer.h>`
`#include <Ioss_Hex8.h>`
`#include <Ioss_Wedge6.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <cstring>`
`#include <fstream>`
`#include <iomanip>`
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include "Ioss_DBUsage.h"`
`#include "Ioss_DatabaseIO.h"`
`#include "Ioss_ElementBlock.h"`
`#include "Ioss_ElementTopology.h"`
`#include "Ioss_GroupingEntity.h"`
`#include "Ioss_IOFactory.h"`
`#include "Ioss_NodeBlock.h"`
`#include "Ioss_Property.h"`
`#include "Ioss_Region.h"`
`#include "Ioss_ScopeGuard.h"`
`#include "Ioss_State.h"`
`#include "Ioss_Utils.h"`
`#include "vector3d.h"`
Include dependency graph for shell_to_hex.C:

## Classes
struct | anonymous_namespace{shell_to_hex.C}::Globals

## Namespaces
| anonymous_namespace{shell_to_hex.C}

## Functions
void | anonymous_namespace{shell_to_hex.C}::show_usage (const std::string &prog)
void | anonymous_namespace{shell_to_hex.C}::transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{shell_to_hex.C}::transfer_elementblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{shell_to_hex.C}::transfer_properties (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge)
void | anonymous_namespace{shell_to_hex.C}::output_normals (Ioss::Region &region, Ioss::Region &output_region, bool reverse_normals, double thickness)
void | anonymous_namespace{shell_to_hex.C}::calculate_normals (std::vector< double > &node_normal, int num_elem, int num_node_per_elem, std::vector< double > &coord, std::vector< int > &conn, bool reverse_normals)
void | anonymous_namespace{shell_to_hex.C}::file_copy (const std::string &inpfile, const std::string &input_type, const std::string &outfile, const std::string &output_type, Globals &globals)
int | main (int argc, char *argv[])

## Variables
std::vector< char > | anonymous_namespace{shell_to_hex.C}::data
std::string | anonymous_namespace{shell_to_hex.C}::codename
std::string | anonymous_namespace{shell_to_hex.C}::version = "0.9"

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |